# kbd-macro-query(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

kbd-macro-query - Query termination of keyboard macro

## SYNOPSIS

[Definition]
kbd-macro-query (C-x q)

[Execution]
kbd-macro-query "y"|"n"|"C-g"

## DESCRIPTION

kbd-macro-query queries the termination state of keyboard macro recording. If the command is executed during a keyboard macro definition, at that point during its execution the user is prompted as to whether to continue the macro execution. A reply of "y" continues the execution as normal, "n" stops execution at that point once, if executing the macro n times the macro will still executed a further n-1 times. If the "`C-g`" abort command is entered then all keyboard macro execution is aborted, regardless of the number of repetitions.

## SEE ALSO

start-kbd-macro(2), execute-kbd-macro(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>